lmfit-py (1.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fixes FTBFS bug with SciPy 1.16. Closes: #1118038.
  * Minor changes to d/rules to fix clean target again.
  * Drop "Priority: optional" (it's the default).

 -- Santiago Vila <sanvila@debian.org>  Mon, 03 Nov 2025 13:20:00 +0100

lmfit-py (1.3.3-5) unstable; urgency=medium

  * Team upload.
  * d/changelog: Fix typo in previous release.
  * d/control: Drop <!nocheck> from python3-dill. Closes: #1116783.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 20:20:00 +0200

lmfit-py (1.3.3-4) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Do not check for reproducibility in Salsa CI.
  [ Santiago Vila ]
  * Cherry-pick two fixes from upstream:
  - Update fix-test-failure-with-new-uncertainties.patch. Closes: #1106426.
  - Do not test for the content of warning messages from upstream libraries.
    They can change.

 -- Santiago Vila <sanvila@debian.org>  Sun, 08 Jun 2025 00:50:00 +0200

lmfit-py (1.3.3-3) unstable; urgency=medium

  * Team upload.
  * Fix test failure with new uncertainties. Closes: #1106426.

 -- Santiago Vila <sanvila@debian.org>  Mon, 26 May 2025 19:45:00 +0200

lmfit-py (1.3.3-2) unstable; urgency=medium

  * Team upload.
  * skip flaky test_manypeaks_speed. Closes: #1102330

 -- Drew Parsons <dparsons@debian.org>  Thu, 24 Apr 2025 23:36:05 +0200

lmfit-py (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Fri, 28 Mar 2025 17:45:54 +0100

lmfit-py (1.3.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Update Standards-Version to 4.7.0 (no changes required).
  * Typo fix in doc-base file.

 -- Stuart Prescott <stuart@debian.org>  Tue, 11 Feb 2025 09:25:26 +1100

lmfit-py (1.3.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
    - numpy 2 compatibility (Closes: #1095023)
    - refresh patches
  * Cherry-pick upstream patch for compatibility with current asteval.
  * Update version constraints on packages for new upstream version.

 -- Stuart Prescott <stuart@debian.org>  Sun, 09 Feb 2025 16:14:31 +1100

lmfit-py (1.2.2-4) unstable; urgency=medium

  * Team upload.
  * Fix bad copy-paste in intersphinx mapping (Closes: #1090242)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 08 Jan 2025 12:03:40 +0100

lmfit-py (1.2.2-3) unstable; urgency=medium

  * Team upload.
  * Versioned (Build-)Depends: python3-uncertainties (>= 3.1.7-1.1~)
    Closes: #1056419, #1058311, #1057574
  * Skip a test on 32-bit archs
  * Fix clean target
    Closes: #1047368

 -- Andreas Tille <tille@debian.org>  Thu, 15 Feb 2024 21:12:51 +0100

lmfit-py (1.2.2-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * No-change reupload to today's experimental

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Jan 2024 12:48:25 +0100

lmfit-py (1.2.2-2) unstable; urgency=medium

  * d/t/control: Added architecture !armel !armhf !i386
    The upstream do not provides support for these architectures.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 03 Aug 2023 12:31:20 +0200

lmfit-py (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * d/control: B-D Added python3-dill <!nocheck>
  * Do not hide problems and re-activated all tests.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 02 Aug 2023 12:28:11 +0200

lmfit-py (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-Depends: python3-setuptools-scm
    - drop debian patch preserve_version.patch
    - closes: #1034585
  * update versioned Build-Depends
      python3-asteval (>= 0.9.28~),
      python3-numpy (>= 1.19~),
      python3-scipy (>= 1.6~)

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Jun 2023 01:59:46 +0200

lmfit-py (1.1.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-uncertainties.

  [ Drew Parsons ]
  * New upstream release. Closes: #1026737, #1027172, #1027226.
  * Build-Depends: pybuild-plugin-pyproject to use pyproject.toml
  * drop debian patches
    - 0003-upstream-fix-for-scipy-1.7.0.patch applied upstream
    - exclude_failing_test.patch, example_emcee_Model_interface.py is
      an example not a test (needs corner module to run, which is not
      packaged for debian)
  * add debian patch preserve_version.patch to prevent setuptools-scm
    from corrupting version.py
  * dh_installdocs override: prefix example_emcee_Model_interface.py
    with nodoc_ to prevent processing by sphinx (corner module is not
    available)
  * override_dh_installdocs-indep copies extensions.py manually when
    building docs (following doc/Makefile). extensions.py is longer
    shipped in upstream source tarball
  * Build-Depends: python3-pytest-cov <!nocheck>
    - execute_before_dh_python3: delete coverage (htmlcov) files from
      installation dirs (they were generated by build-time tests)
  * register html docs with doc-base
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Dec 2022 17:46:34 +0100

lmfit-py (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * d/control:
    + Used dh-sequence-X
    + Added Build-Depends python3-sympy <!nodoc>
  * d/rules: Simplified thanks to dh-sequence-X
  * d/p/0003-upstream-fix-for-scipy-1.7.0.patch
  * Bug fix: "scipy breaks lmfit-py autopkgtest", thanks to Paul Gevers
    (Closes: #992674).
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Apply multi-arch hints.
    + python-lmfit-doc: Add Multi-Arch: foreign.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 04 Sep 2021 11:00:36 +0200

lmfit-py (1.0.1-6) unstable; urgency=medium

  * Team upload

  [ Picca Frédéric-Emmanuel ]
  * Acknowledge Ole Streicher for fixing #987459

  [ Graham Inggs ]
  * Skip test_model_nan_policy and test_manypeaks_speed (Closes: #976952)

 -- Graham Inggs <ginggs@debian.org>  Thu, 06 May 2021 08:32:40 +0000

lmfit-py (1.0.1-5) unstable; urgency=medium

  * Bug fix: "python-lmfit-doc is empty", thanks to Adrian Bunk (Closes:
    #987459).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 01 May 2021 07:44:52 +0200

lmfit-py (1.0.1-4) unstable; urgency=medium

  * Bug fix: "copyright file missing (policy 12.5)", thanks to Andreas
    Beckmann (Closes: #983827).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 02 Mar 2021 11:41:36 +0100

lmfit-py (1.0.1-3) unstable; urgency=medium

  * d/patches/python3.9.patch: Fix test that fails under Python 3.9 because a
    module name changed. (Closes: #972604)
  * d/control: Add myself to Uploaders.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 22 Oct 2020 08:34:34 +1300

lmfit-py (1.0.1-2) unstable; urgency=medium

  * Do not build the doc for now
  * d/control: Removed jupyter-sphinx as Build-Depends.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 08 Sep 2020 14:50:54 +0200

lmfit-py (1.0.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 1.0.1
  * d/control: Added Rules-Requires-Root: no
  * d/control: Standards-Verion bumped to 4.3.0 (nothing to do)
  * d/rules: examples was not meant to be installed (Closes: #947265)
  * d/rules: Build the documentation
  * d/tests/control: Now it works.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 03 Aug 2020 11:21:26 +0200

lmfit-py (1.0.0-1) unstable; urgency=medium

  [ Alexandre Marie ]
  * Fixed compatibility with python3.8 (Closes: #943786)
  * Forced asteval version to >=0.9.16

  [ Picca Frédéric-Emmanuel ]
  * added jupyter-sphinx as Build-Depends
  * Forgotten with the previous upload (Closes: #934871, #922111)
  * Do not build the documentation for now.

  [ Andreas Tille ]
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 0.8.3+dfsg.1-1~exp1.
  * Build-Depends: python3-sphinx-gallery
  TODO:
    Exception occurred:
      File "/usr/lib/python3/dist-packages/sphinx_gallery/gen_gallery.py", line 313, in sumarize_failing_examples
        "\n" + "-" * 79)
    ValueError: Here is a summary of the problems encountered when running the examples

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 23 Dec 2019 13:52:39 +0100

lmfit-py (0.9.14-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.9.14
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP.
  * Use debhelper-compat instead of debian/compat.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * Added the salsa-ci.yml file.
  * d/control: Added python3-ipython to Build-Depends.
  * unactivated the doc build until jupyter_sphinx is available.
  * replace nose -> pytest
  * install doc via d/rules
  * Remove Python2 module (Closes: #936960)
  * switched to compat level 12
  * Bumped Standards-Version to 4.4.1 (nothing to do)

  [ Andreas Tille ]
  * New upstream version 0.9.11+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 20 Oct 2019 16:43:41 +0200

lmfit-py (0.9.11+dfsg-2) unstable; urgency=medium

  * Team upload
  * Deactivate randomly failing test (thanks for the patch to
    Santiago Vila <sanvila@debian.org>)
    Closes: #921979
  * Standards-Version: 4.3.0
  * Remove build time test results from binary package

 -- Andreas Tille <tille@debian.org>  Mon, 18 Feb 2019 11:50:01 +0100

lmfit-py (0.9.11+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * New Build-Depends: python-asteval, python-uncertainties
  * Remove ancient X-Python*-Version fields
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Versioned Build-Depends: python*-uncertainties (>= 3.0.2.github~)
  * debian/copyright: do not mention local copy of uncertainties which
    was removed any more
  * Build-Depends: s/python-sphinx/python3-sphinx
  * Remove duplicated from in description
  * Drop unnecessary field Testsuite: autopkgtest

 -- Andreas Tille <tille@debian.org>  Sat, 13 Oct 2018 21:02:35 +0200

lmfit-py (0.9.7+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.7+dfsg
  * Standards-Verion bumped to 4.1.3 (extra -> optional)
  * d/watch
    - Updated to version 4

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 18 Feb 2018 10:55:39 +0100

lmfit-py (0.9.5+dfsg-2) unstable; urgency=medium

  * Standards-Verion bumped to 3.9.8 (nothing to do)
  * Removed ipython(3)-notebook dependency (Closes: #840521)
  * Removed matplotlib, tk, latex, pandas Build-Depends (useless)
  * Simplified d/rules

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 15 Oct 2016 09:01:40 +0200

lmfit-py (0.9.5+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.5+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 17 Aug 2016 08:29:47 +0200

lmfit-py (0.9.3+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.3+dfsg
  * fix the autopkgtest scripts
  * Use cme to update the package
  * Standards-Verion bumped to 3.9.7 (nothing to do)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 31 Mar 2016 18:46:36 +0200

lmfit-py (0.9.2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.2+dfsg (Closes: #802085)
  * Use the pypi redirector

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 31 Oct 2015 08:20:22 +0100

lmfit-py (0.8.3+dfsg.1-1~exp1) experimental; urgency=medium

  * Imported Upstream version 0.8.3+dfsg.1
  * Run the test suite during the build
  * Standards-Version bumped to 3.9.6 (no other changes required)
  * Add the autopkgtest test suite.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 30 Dec 2014 14:18:53 +0100

lmfit-py (0.8.0+dfsg.1-1) unstable; urgency=medium

  * Imported Upstream version 0.8.0+dfsg.1
  * Remove all patches (applyed upstream)
  * Add the doc-base registration

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 31 Aug 2014 10:56:03 +0200

lmfit-py (0.7.4+dfsg.2-1) unstable; urgency=low

  * Initial release (Closes: #741078)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 07 Mar 2014 09:05:26 +0200
